org.apache.ignite.internal.commandline.cache.argument

## Enum ValidateIndexesCommandArg

- java.lang.Object
- - java.lang.Enum<ValidateIndexesCommandArg>
  - - org.apache.ignite.internal.commandline.cache.argument.ValidateIndexesCommandArg

All Implemented Interfaces:
  Serializable, Comparable<ValidateIndexesCommandArg>, CommandArg

    public enum ValidateIndexesCommandArg
    extends Enum<ValidateIndexesCommandArg>
    implements CommandArg

`CacheSubcommands.VALIDATE_INDEXES` command arguments.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CHECK_FIRST` Check first.
`CHECK_THROUGH` Check through.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `argName()`
`String` `toString()`
`static ValidateIndexesCommandArg` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ValidateIndexesCommandArg[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CHECK_FIRST

    public static final ValidateIndexesCommandArg CHECK_FIRST

Check first.

#### CHECK_THROUGH

    public static final ValidateIndexesCommandArg CHECK_THROUGH

Check through.

### Method Detail

#### values

    public static ValidateIndexesCommandArg[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ValidateIndexesCommandArg c : ValidateIndexesCommandArg.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ValidateIndexesCommandArg valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<ValidateIndexesCommandArg>`

#### argName

    public String argName()

Specified by:
  `argName` in interface `CommandArg`
Returns:
  Argument name.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020